Bluetooth wireless technology overview

Bluetooth wireless technology is designed to replace cables between devices, such as printers, keyboards, and mice.

Bluetooth wireless technology operates over a short distance. Bluetooth devices use radio transmission, which enables computers, mobile phones, printers, keyboards, mice, and other devices to communicate with each other without cables.

There are several uses for Bluetooth wireless technology, including, but not limited to:

  • Creating a wireless connection to the Internet with a mobile phone or a modem server.
  • Transferring files between computers or between a computer and another device.
  • Printing to a Bluetooth wireless printer.
  • Using a Bluetooth wireless keyboard and mouse.
  • Joining a personal area network (PAN).
  • Synchronizing a personal digital assistant (PDA) to a computer or another device using Bluetooth wireless technology.

The data transfer speed for Bluetooth wireless technology can be up to 700 kilobits (Kbps) per second. The data transfer speed can vary depending on the device or environmental factors. A Bluetooth device can transmit through walls, pockets, and briefcases.

Bluetooth devices transmit on the 2.4 gigahertz (GHz) radio frequency. Devices that transmit on that frequency might not be appropriate or permitted in certain locations, such as hospitals or airplanes. If you are in a potentially sensitive area and you want to use a computer or device using Bluetooth wireless technology, check with the staff to ensure that you can do so.

Related Topics


Installing Bluetooth devices overview

To prepare a Bluetooth device to use with your XOX computer, you must:

  1. Set up your device so that XOX can find it. Setting up a device includes:
    • Turning it on
    • Making it discoverable (or visible)
    • Giving it a name (optional)
  2. Install the device. There are several ways that you can install Bluetooth devices:
    • To install a mobile phone, keyboard, mouse, or personal digital assistant (PDA), use Bluetooth Devices in Control Panel.
    • To install a printer, run the Add Printer Wizard. XOX

You can also install any Bluetooth device by using Bluetooth Devices in Control Panel.

To connect to a computer from your Bluetooth device, the computer must be set up to receive incoming Bluetooth connections. For more information about configuring incoming connections, click Related Topics.

Notes

  • XOX
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Bluetooth mobile phone

Microsoft Windows Graphic

To install a Bluetooth mobile phone

If your mobile phone can also communicate with your computer over a Bluetooth wireless network to perform tasks such as contact synchronization or file transfer, then use Bluetooth Devices in Control Panel to install your mobile phone.

  1. Attach or turn on the Bluetooth radio adapter for your XOX computer.
  2. Set up your mobile phone so that XOX can find it. Setting up your phone includes:
    • Turning it on
    • Making it discoverable (or visible)
    • Giving it a name (optional)

    3. If you are not sure how to set up your phone to make it discoverable, read the documentation for the phone.

  3. Open Bluetooth Devices in Control Panel.
  4. On the Devices tab, click Add.
  5. Follow the steps in the Add Bluetooth Device Wizard.

Notes

  • XOX
  • XOX
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Bluetooth mobile phone and use it as a modem

To install a Bluetooth mobile phone and use it as a modem

Some mobile phones can be used as a modem for your computer. To find out if your phone has this dial-up networking capability, read the documentation that came with the phone.

  1. Attach or turn on the Bluetooth radio adapter for your XOX computer.
  2. Following the manufacturer's documentation, set up your mobile phone so that XOX can find it. Setting up your phone includes:
    • Turning it on
    • Making it discoverable
    • Giving it a name (optional)
  3. Open Bluetooth Devices in Control Panel.
  4. Click Add, and then follow the instructions in the Add Bluetooth Device Wizard.
  5. To set up an Internet connection, see Create a Bluetooth connection to the Internet using a Bluetooth mobile phone.

Notes

  • XOX
  • Passkeys can be up to 16 characters long. We recommend using a long passkey.
  • XOX
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Bluetooth printer

To install a Bluetooth printer

  1. Attach or turn on the Bluetooth radio adapter for your XOX computer.
  2. XOX
  3. Under Printer Tasks, click Add a printer.
  4. In the Add Printer Wizard, click Next.
  5. Click A Bluetooth printer, and then click Next.
  6. Follow the instructions in the wizard.

Notes

  • XOX
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Bluetooth keyboard

To install a Bluetooth keyboard

To install a Bluetooth keyboard, you must have a keyboard with a cable attached to your computer. Follow the steps below using the keyboard with the cable.

  1. Attach or turn on the Bluetooth radio adapter (transceiver) for your XOX computer.
  2. Make the wireless keyboard discoverable. This is often done by pressing a button on the bottom of the keyboard for 3 to 5 seconds. If you are not sure how to make your keyboard discoverable, read the documentation for your wireless keyboard.
  3. Open Bluetooth Devices in Control Panel.
  4. On the Devices tab, click Add.
  5. Select the My device is set up and ready to be found check box, and then click Next.
  6. Click the discovered keyboard device, and then click Next.
  7. Do one of the following:
    • If you want Windows to automatically provide a passkey, click Choose a passkey for me.
    • If the documentation for the keyboard lists a passkey to use, click Use the passkey found in the documentation, and then type the passkey.
    • If you want to create your own passkey, click Let me choose my own passkey, and then type a passkey.
    • If the keyboard does not use a passkey, click Don’t use a passkey.
  8. Click Next, and then, when prompted, use the Bluetooth keyboard to type the passkey.
  9. Follow the remaining instructions in the wizard.

Notes

  • XOX
  • After the Bluetooth keyboard is installed, you can either disconnect the keyboard with the cable or leave it connected (if you leave both keyboards connected, they will both work).
  • XOX
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Bluetooth mouse

To install a Bluetooth mouse

To install a Bluetooth mouse, you must have a mouse with a cable attached to your computer.

  1. Attach or turn on the Bluetooth radio adapter for your XOX computer.
  2. Make the wireless mouse discoverable. You can sometimes do this by pressing a button on the bottom of the mouse. If you are not sure how to make your mouse discoverable, read the documentation for your mouse.
  3. Open Bluetooth Devices in Control Panel.
  4. On the Devices tab, click Add.
  5. Select the My device is set up and ready to be found check box, and then click Next.
  6. Click the icon that represents the Bluetooth mouse, and then click Next.
  7. Click Don’t use a passkey, and then click Next. Check the documentation for the mouse for any passkey instructions.
  8. Follow the remaining instructions in the wizard.

Notes

  • XOX
  • Once the mouse is installed, you can either disconnect the wired mouse or leave it connected (if you leave both mice connected, they will both work).
  • If you are reinstalling the mouse, delete it first from the device list in Bluetooth Devices in Control Panel.
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Palm handheld computer using Bluetooth technology

To install a Palm handheld computer using Bluetooth technology

  1. Attach or turn on the Bluetooth radio adapter for your XOX computer.
  2. Set up your Palm handheld computer so that XOX can find it. Setting up your handheld computer includes:
    • Turning it on
    • Making it discoverable (or visible)
    • Giving it a name (optional)
  3. Open Bluetooth Devices in Control Panel.
  4. On the Devices tab, click Add.
  5. Follow the instructions in the Add Bluetooth Device Wizard to install your Palm handheld computer.
  6. If COM (serial) port numbers are listed on the Finish page of the wizard, write them down so that you can refer to them later. If no COM ports are listed, your device does not use COM ports, so you will not need that information.
  7. On your computer, install the software that came with your handheld computer, including the HotSync software. During the installation, you might be asked to choose a COM port. Read the documentation for your Palm handheld computer, or go to the Palm handheld computer Web site to determine which COM port to use. If one port does not work, try the other one.

    If the HotSync software is already installed, click the HotSync icon on the desktop, go to Setup, and then, on the Local tab, select the COM port from the Serial Port list.

  8. Follow the manufacturer's instructions to create the connection on your Palm handheld computer.
  9. On your handheld computer, start HotSync operation and the Bluetooth connection.
  10. When the synchronization connection begins, the installation will be completed.

Notes

  • XOX
  • If you are not sure how to set up your Palm handheld computer so that it is discoverable, or if you are not sure how to start HotSync operation or the Bluetooth connection, read the documentation for your Palm handheld computer.
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Pocket PC using Bluetooth technology

To install a Pocket PC using Bluetooth technology

  1. Attach or turn on the Bluetooth radio adapter for your XOX computer.
  2. Set up your Pocket PC so that XOX can find it. Setting up your Pocket PC includes:
    • Turning it on
    • Making it discoverable (or visible)
    • Giving it a name (optional)
  3. Open Bluetooth Devices in Control Panel.
  4. On the Devices tab, click Add.
  5. Follow the instructions in the Add Bluetooth Device Wizard to install your Pocket PC.
  6. Before you close the wizard, write down the incoming COM (serial) port number that you see on the Finish page, because you will need it later.
  7. Install the software that came with your Pocket PC, including the ActiveSync technology software.
  8. Plug the Pocket PC into the USB cradle or connect it to the USB cable.
  9. On your computer, in the Get Connected Wizard, follow the directions to automatically get connected. If the wizard does not appear, click Start, point to All Programs (or Programs if you are using the classic Start menu), and then click Microsoft ActiveSync.
  10. On the File menu, click Get Connected.
  11. On the File menu, click Connection Settings.
  12. Select the Allow serial cable or infrared connection to this COM port check box, and then select the COM port. Read your Pocket PC documentation to determine which COM port to use. If one port does not work, try the other one.
  13. Disconnect the USB cable from the computer.
  14. On your Pocket PC, turn on the Bluetooth wireless technology.
  15. To synchronize your computer and the Pocket PC using Bluetooth technology, follow the directions in the Pocket PC documentation.

Notes

  • XOX
  • If you are not sure how to set up your Pocket PC so that it is discoverable, or if you are not sure how to turn on Bluetooth technology for your Pocket PC, read the documentation for the Pocket PC.
  • To install your Bluetooth device, refer to the instructions that came with the device.


Install a Bluetooth device using Bluetooth Devices in Control Panel

To install a Bluetooth device using Bluetooth Devices in Control Panel

  1. Attach or turn on the Bluetooth radio adapter (transceiver) for your XOX computer.
  2. Set up your Bluetooth device so that XOX can find it. Setting up your device includes:
    • Turning it on
    • Making it discoverable (or visible)
    • Giving it a name (optional)
    • Pressing the button on the bottom of the device (keyboards and mice only)
  3. Open Bluetooth Devices in Control Panel.
  4. On the Devices tab, click Add.
  5. Select the My device is set up and ready to be found check box, and then click Next.
  6. Click the Bluetooth device that you want to add, and then click Next.
  7. Do one of the following:
    • If you want Windows to automatically provide a passkey, click Choose a passkey for me.
    • If the documentation for the keyboard lists a passkey to use, click Use the passkey found in the documentation, and then type the passkey.
    • If you want to create your own passkey, click Let me choose my own passkey, and then type a passkey.
    • If the device does not use a passkey, click Don’t use a passkey.
  8. Follow the remaining instructions in the wizard.

Notes

  • XOX
  • If you are not sure how to set up your device so that it is discoverable, read the documentation for the device.
  • XOX
  • To install your Bluetooth device, refer to the instructions that came with the device.


Managing Bluetooth devices and services

You can use settings in Bluetooth Devices in Control Panel to manage your Bluetooth computer and external devices.

With these settings you can:

  • Enable other Bluetooth devices to discover your computer. To find out how to make your computer discoverable (or visible), click Related Topics.
  • Enable other Bluetooth devices to connect to your computer.
  • Be notified when a Bluetooth device wants to connect to your computer.
  • Decide which of the services offered by your device you want to use.

Bluetooth services are used to carry out actions between a program installed on your computer and a remote Bluetooth device. A Bluetooth device can offer one or more services. XOX comes with several Bluetooth services:

  • Dial-up networking

    Use this service to connect to the Internet through your mobile phone.

  • Keyboards and mice

    Use this service to connect wireless Bluetooth keyboards and mice to your computer.

  • File transfer using the Object Exchange (OBEX) File Push protocol

    Use this service to transfer files or information from your computer to another Bluetooth device.

  • Personal area networking (PAN)

    Use this service to connect to a Bluetooth network access point (NAP) or to join a group ad hoc network (GN).

  • Serial ports

    Use serial ports to synchronize a Bluetooth device, such as a personal digital assistant (PDA) or a mobile phone, with your computer. You can also use serial ports to transfer data from a global positioning system (GPS) device to your computer.

  • Printing

    XOX supports the Hardcopy Cable Replacement Profile (HCRP) for printing to a Bluetooth printer.


Change Bluetooth settings for your computer

To change Bluetooth settings for your computer

  1. Open Bluetooth Devices in Control Panel.
  2. To allow other Bluetooth devices to find your computer, on the Options tab, select the Turn discovery on check box.

    3. To help protect the security of your data, we recommend that you turn on discovery only when you want a Bluetooth device to find your computer.

  3. To allow other Bluetooth devices to connect to your computer, select the Allow Bluetooth devices to connect to this computer check box.
  4. To be notified when a Bluetooth device wants to connect to your computer, select the Alert me when a new Bluetooth device wants to connect check box.

Note

  • XOX
  • Some programs can also make your device discoverable.


Use services with your Bluetooth device

To use services with your Bluetooth device

  1. Open Bluetooth Devices in Control Panel.
  2. On the Devices tab, click the device that you want to enable services for, and then click Properties.
  3. On the Services tab, select the services that you want to use.

Notes

  • XOX
  • Services listed on the Services tab are determined by the Bluetooth device.


Change the name of a Bluetooth device

To change the name of a Bluetooth device

  1. Open Bluetooth Devices in Control Panel.
  2. On the Devices tab, click the device that you want to rename, and then click Properties.
  3. On the General tab, type a new name for the Bluetooth device.

Notes

  • XOX
  • This procedure only changes the name that you see on your computer screen, not the actual name of the Bluetooth enabled device.


Bluetooth personal area networking overview

With Bluetooth connections, you can join a personal area network (PAN), which is an Internet Protocol (IP)-based network. You can connect to a Bluetooth network access point (NAP), group ad hoc network (GN), or personal area network user (PANU) device.

The Bluetooth radio transmitter installed on your computer appears as a network connection in the Network Connections folder, just like any other type of network connection. XOX supports one Bluetooth radio transmitter per computer.

There are three ways to join a personal area network:

  • Using a network access point: With a network access point, you can join a local area network (LAN) or wide area network (WAN), such as the Internet.
  • Using a group ad hoc network: When your computer is connected to this type of network, it can only communicate with computers or devices within the network. The network must be created by another device before your computer can join it. With XOX, you cannot create a GN network, but your computer can be part of such a network.
  • Using a personal area network user: When your computer is connected to this type of network, it can only communicate with the remote computer or device.

Notes

  • Some mobile phones and personal desktop assistants (PDAs) only support dial-up networking (DUN), some only support PAN, and some support both services. To find out which services your Bluetooth device supports, check the documentation for your device.
  • Another type of personal area network is the personal area network user (PANU). XOX supports this type of network.


Join a personal area network

To join a personal area network

  1. Open Network Connections in Control Panel.
  2. Under Personal Area Network, click the Bluetooth Network Connection icon.
  3. Under Network Tasks, click View Bluetooth network devices.
  4. In Bluetooth devices, click the device that you want to connect to, and then click Connect.

    5. If the device you are looking for is not listed, see Install a Bluetooth device using Bluetooth Devices in Control Panel.

Notes

  • XOX
  • If the connection attempt fails, it might be because the Bluetooth device is turned off, out of range, or not configured to accept connections. Check the device, and then try the connection again. Also, check the manufacturer's documentation.


Provide a name for your computer on a personal area network

To provide a name for your computer on a personal area network

When other computers or devices search for your computer, the name and description of your computer are shown. You can change this name and description.

  1. Open Network Connections in Control Panel.
  2. Under Personal Area Network, click the Bluetooth connection.
  3. Under Network Tasks, click Change settings of this connection.
  4. Click the Bluetooth tab.
  5. Under Service Name and Description, in Service Name, type the name of the service and in Service Description, type the description of the service.

Note

  • XOX


Bluetooth device discoverability

When you make a Bluetooth enabled device discoverable, the device sends radio signals to advertise its location, which enables your computer to recognize the Bluetooth device. To make a Bluetooth device discoverable, follow the instructions that came with the device.

When you turn on discovery for your computer, it enables other Bluetooth devices to find your computer. When discovery is off, your computer is anonymous and other devices cannot find it.

If other devices can find your computer, they have an important piece of information—your Bluetooth enabled device address—that can be used to initiate various kinds of attacks and other breaches of security. Because of the potential for security problems, it is important that you:

  • Only turn discovery on when you want a Bluetooth device to find your computer.
  • Turn discovery off immediately after the Bluetooth device finds your computer and exchanges passkeys.
  • Take other steps to help secure your data and computer.

Notes

  • XOX
  • XOX


Using Bluetooth passkeys for security

To install most Bluetooth devices, your computer must exchange a passkey with the device. Usually you must enter a passkey (sometimes called a "passcode") on each device. The passkey can be up to 16 characters. We recommend using a long passkey.

The purpose of the passkey exchange is for Windows to positively identify the device that you want to connect to. After the exchange, Bluetooth devices are able to encrypt data, which helps to provide additional security.

XOX


Bluetooth device dial-up networking overview

Dial-up networking using Bluetooth technology works just like it does with a modem. To create a dial-up network connection using your cellular phone, you need to install the phone as a modem. For information about how to do that, see Install a Bluetooth cellular phone or modem in Related Topics.

To get set up, install the device using Bluetooth Devices in Control Panel. Then, create a connection to the Internet using the New Connection Wizard in the Network Connections folder.

Connecting to the Internet using your Bluetooth mobile phone is typically the same as connecting through a regular telephone line using a modem. The connection speed is determined by your mobile service provider. When you connect to the Internet, a connection icon appears in the notification area on the taskbar. The connection icon shows the speed of your connection. However, the actual speed of your connection might be slower or faster than the speed shown by the icon.

You might be able to send faxes using your mobile phone. To find out more about this, contact your mobile service provider.


Create a Bluetooth connection to the Internet using a Bluetooth mobile phone

To create a Bluetooth connection to the Internet using a Bluetooth mobile phone

  1. Open Network Connections in Control Panel.
  2. Under Network Tasks, click Create a new connection.
  3. In the New Connection Wizard, follow the steps for connecting to the Internet using a dial-up connection.
  4. On the Phone Number to Dial page, type the carrier code or phone number (often this number is *99#). Contact your mobile service provider for the required ID (or user name), password, and carrier code or phone number.

Notes

  • XOX
  • To use dial-up networking with your mobile phone, you must first install the phone and then exchange passkeys between your computer and the phone.


Send and receive files to or from a Bluetooth device

To send and receive files to or from a Bluetooth device

With Bluetooth wireless technology and the Bluetooth File Transfer Wizard, you can exchange one file at a time between your computer and another Bluetooth device, such as a mobile phone or a personal digital assistant (PDA). You can also transfer files between two computers that use Bluetooth technology.

  1. Start the Bluetooth File Transfer Wizard.
  2. Follow the directions in the wizard.

Notes

  • XOX
  • The Bluetooth File Transfer Wizard uses the Object Exchange (OBEX) File Push service to transfer files. Both the computer and the device need to be set up to use this service. To set up the computer, run the Bluetooth File Transfer Wizard. To set up the device, read the device documentation.


COM (serial) port services overview

There are many programs available today that are designed to communicate with devices through COM ports (also called serial ports). With Bluetooth COM ports, XOX can allow these programs to communicate using Bluetooth wireless technology. For example, you can synchronize your calendar and contact information on your personal digital assistant (PDA) with your computer by using Bluetooth COM ports.

Some programs that use COM ports to communicate using Bluetooth wireless technology include:

  • HotSync used by Palm
  • ActiveSync used by Pocket PC
  • Microsoft Streets and Trips 2002

For these devices, follow these steps:

  1. To set the COM port, read the documentation for the program.
  2. Set the COM port to the port number specified on the last page of the Add Bluetooth Device Wizard.

For Bluetooth devices that use a COM port, you must install a special program on your XOX computer. The program either comes with the Bluetooth device or can be obtained from the manufacturer. To set up your program to use a COM port, read the program documentation.


Selecting a COM (serial) port

Some programs on your computer require a COM port (also called a serial port) to communicate with your Bluetooth device. Examples of this type of program are:

  • A program that synchronizes contacts with your mobile phone
  • A program that extracts GPS coordinates from a GPS receiver

When you use the Add Bluetooth Device Wizard to add a Bluetooth device to your computer, the wizard creates an incoming COM port (which permits your Bluetooth device to connect to a program on your computer) and an outgoing COM port (which permits a program on your computer to connect to your Bluetooth device).

Usually, you only need to use one of the COM ports provided to you. To decide which COM port to use, you can:

  • Read the instructions that came with the program.
  • Read the instructions that came with your Bluetooth device.
  • Go to the support Web site for the program.
  • Go to the support Web site for your device.

If you still are not sure which COM port to use, try each COM port, one at a time, and use the one that successfully allows your program and your device to communicate with each other.


Bluetooth devices cannot connect to each other

If your Bluetooth devices can’t connect to each other, check the following:

  • Are the devices the correct distance apart? The devices could be too far apart or too close to each other. Distance limits vary. Check your device documentation.
  • Is one of the devices too busy, or does it have too many connections? For example, a printer might have other connections to it, preventing this connection.
  • Are you connecting to the correct device? You might be trying to connect to a different device than the one that you want to connect to. For example, you might have two Bluetooth printers installed on your computer: one in your office and the other in a co-worker's office. Make sure the Bluetooth name matches the name on the device. You can do this in the Add Bluetooth Device Wizard by right-clicking on the device. If you have several similar devices, you might need to compare the serial numbers to be sure you’re connecting to the correct device.
  • Have you exchanged passkeys with the device? Some devices require a passkey before they can be listed in Bluetooth Devices in Control Panel. XOX
  • Was the passkey exchange successful? You might have entered an incorrect passkey, or the time limit for entering the passkey might have expired. When installing a device for use with XOX, you have only three minutes to enter the passkey in the Add Bluetooth Device Wizard and in the Bluetooth device.
  • Is XOX configured to accept incoming Bluetooth connections? For more information about setting Bluetooth options in XOX, click Related Topics.
  • Has the connection been interrupted by something in the area? Wireless technology is susceptible to interference from the environment (for example, microwave ovens, cordless phones, and 802.11 wireless networks). You might have to try more than once to connect to your Bluetooth device or move the device away from possible sources of interference.


Bluetooth devices cannot find each other

If you cannot find a Bluetooth device from your computer, check the following:

  • Did you use the correct wizard to install the device? You might have installed the device using the wrong wizard. For a printer, use the Add Printer Wizard. For a mobile phone, use Bluetooth Devices in Control Panel. For a keyboard or mouse, use Bluetooth Devices in Control Panel, or use the software that came with the keyboard or mouse. Try reinstalling the device using the appropriate wizard, or using Bluetooth Devices in Control Panel. XOX
  • Is everything turned on? Make sure that both devices are turned on.
  • Are the devices discoverable? Many Bluetooth devices are not automatically discoverable. To make each device discoverable, you must attach or turn on the Bluetooth radio adapter for your XOX computer, and then set up your device so that XOX can find it. Setting up your device includes:
    • Turning it on
    • Making it discoverable (or visible)
    • Giving it a name (optional)

    • If you are not sure how to set up your device to make it discoverable, read the documentation for the device.

  • Are the devices the correct distance apart? The device you are trying to find and connect to might be out of range. Try moving the devices closer to each other. Also, the devices could be too close. Sometimes, this can cause interference between the Bluetooth radio transmitters. Try moving the devices a little further apart.

Notes

  • XOX


Bluetooth device connections are slow or stop working

If your Bluetooth devices are slow or stop working, check the following:

  • Are the devices the correct distance apart? The devices could be at the edge of their range or too close to each other. Move the devices closer together. If that does not work, move the devices farther apart. Also, read the documentation for the device to determine the correct the transmission range.
  • Is one of the devices too busy? For example, other programs might be connecting to the printer, preventing this connection. To reduce the number of connections, set your other devices so that they are not discoverable.
  • Are other devices interfering? The Bluetooth radio frequency is 2.4 gigahertz (GHz). Other devices might be in the same frequency range as your Bluetooth devices. These can include:
    • Cordless telephones that use the 2.4 GHz range
    • Microwave ovens
    • X10 devices, such as those that control automatic lighting and universal remote controls
    • Wireless networks using the 802.11 standard (also called Wi-Fi networks)

      • If you think this is the problem, try moving your Bluetooth device farther from the source of interference.

    • If your Bluetooth keyboard or mouse does not work, try the following:

    1. Connect a wired keyboard or mouse to your computer.
    2. Open Bluetooth Devices in Control Panel.
    3. Click the Bluetooth device that is not responding, and then click Remove.
    4. Click Add, select the My device is set up and ready to be found check box, and then click Next. If the device is not found, click Search Again.
    5. When the device is found, select it, and then click Next.
    6. If the device is a keyboard, exchange passkeys with the keyboard.
    7. If the device is a mouse, click Don't use a passkey.
    8. Follow the rest of the instructions in the wizard.

Security might have been reset on either device. This is especially common with keyboards and mice. Other devices can have similar problems and might need to be reinstalled.

Note

  • XOX


Glossary

authentication

The process Windows uses to verify that the detected device is the same device you want to communicate with. Windows uses a passkey, also known as a personal identification number (PIN), for authentication. If the passkey entered by the user matches the passkey of the detected device, authentication succeeds; if the passkeys do not match, authentication fails. However, some devices allow communication without authentication.

See also: passkey

Bluetooth Connection Wizard

Helps you with finding, authenticating, and connecting to your Bluetooth device. XOX uses authentication to verify that detected Bluetooth devices are those that you want to connect to.

See also: authentication

Bluetooth device

A device such as a cellular phone, printer, keyboard, mouse, or computer that has a Bluetooth radio transmitter installed in it. These devices provide services that can be used by your XOX computer.

Dial-up Networking (DUN)

Connecting to a remote network or the Internet through a dial-up connection, such as a modem.

encryption

The process of disguising a message or data in such a way as to hide its substance.

group ad hoc network (GN)

Personal area networks (PAN) that communicate directly between one or more Bluetooth computers or devices. In order to support a group ad hoc network, one (and only one) of the devices must be in the group ad hoc network (GN) role. Other computers and devices connect to the GN device using the PAN User (PANU) role.

Gigahertz (GHz) (Frequency)

The international unit for measuring frequency, equivalent to the older unit of cycles per second. One megahertz (MHz) is one million hertz. One gigahertz (GHz) is one billion hertz. The standard US electrical power frequency is 60 Hz, the AM broadcast radio frequency band is 535 - 1605 kHz, the FM broadcast radio frequency band is 88 -108 MHz, and wireless 802.11b LANs and Bluetooth networks operate at 2.4 GHz.

network access point

Allows Bluetooth devices to connect to other networks (e.g., corporate LANs or the Internet). A device must be in the network access point role to provide this service. Other computers and devices connect to the NAP device using the PAN User (PANU) role.

Network Address Translation (NAT)

The translation of an Internet Protocol (IP) address in one network to a different IP address in another network. One network is designated the internal network and the other is the external. The internal network appears as one entity to the outside world. In the case of wireless LANs with an outside Internet connection, the NAT capability of Internet connection sharing software allows the sharing of one Internet connection among all the wireless computers that are connected.

passkey

Similar to a personal identification number (PIN). Some Bluetooth devices require authentication before the device can be used with Windows. During authentication, the same passkey must be entered into the Bluetooth Connection Wizard and the Bluetooth device.

See also: authentication

personal area network (PAN)

An Internet Protocol (IP)-based network. It is usually used for short range, ad hoc communication between devices and computers. A PAN may also be used to enable connectivity to a larger local area network (LAN), wide area network (WAN), or the Internet. XOX supports the Bluetooth PAN service so you can create personal area networks using Bluetooth technology.

personal area network user (PANU)

One role that a Bluetooth device supporting the personal area network (PAN) service can play. The PANU role connects to network access points (NAPs) and group ad hoc networks (GNs). Two Bluetooth devices can also communicate directly while in the PANU role.

role

A Bluetooth computer or device supporting the personal area network (PAN) service can be in one of three roles: personal area network user (PANU), group ad hoc network (GN), or network access point (NAP). A device can support being in one, two, or all three of the roles at once.

serial ports

A channel used to send and receive data to and from a computer or another device.

services

Used to carry out actions between programs installed on your computer and a remote Bluetooth device. These settings enable your computer and external Bluetooth devices to connect to each other and perform other activities, such as connecting to the Internet or printing.

Wi-Fi

The acronym for wireless fidelity, a wireless networking 802.11-standard. A Wi-Fi network can also be used to enable connectivity to a larger local area network (LAN), wide area network (WAN), or the Internet.


Compile Date

Microsoft Windows graphic
Compile Date: 2004-05-24